// Nav stuff

import { createAppContainer } from 'react-navigation';
import { createStackNavigator } from 'react-navigation-stack';

// Screens one per file to keep things clean

import HomeScreen from './src/screens/HomeScreen';
import AboutScreen from './src/screens/AboutScreen';
import SettingsScreen from './src/screens/SettingsScreen';
import FilesScreen from './src/screens/FilesScreen';

// Clean up of code before I fix the last little issue with it


const AppNavigator = createStackNavigator(
  {
    Home: HomeScreen,
    About: AboutScreen,
    Files: FilesScreen,
    Settings: SettingsScreen,
  },
  {
    initialRouteName: 'Home',
  }
);

export default createAppContainer(AppNavigator);